Description
Description:

Thibaut,

Comme a la ligne 168 (fonction t_quasiDistance corrigée tout a I'heure), dans
\addons\operationResiduelles\include\private\quasi_distance_T.hpp

il faudrait commenter la ligne 573:
assert(imLabelPointErodes1.pixelFromOffset(off_queue) != labelCandidate);
car ce test est systématiquement faux (cf. algo dans la these de Raffi), et
génere un bug a tort lorsqu'on utilise la fonction
t_quasiDistanceWithStandardErosions en mode debug.

#2 13/02/2008 17:38 (Tibs)

Change: status: "pending" -> "resolved”

Comment:

La ligne en question a été commentée, mais ceci dit le fichier (de Thomas et pas
de raffi, en passant)

#1 04/02/2008 19:23 (romaric)

Change: topic: " -> "UI"
Change: title: "" -> "assert incorrect dans la quasi-distance”
Change: description: "" -> "Thibaut,

Comme a la ligne 168 (fonction t_quasiDistance corrigée tout a I'heure), dans
\addons\operationResiduelles\include\private\quasi_distance_T.hpp
il faudrait commenter la ligne 573:

assert(imLabelPointErodes1.pixelFromOffset(off_queue) != labelCandidate);

car ce test est systématiquement faux (cf. algo dans la thése de Raffi), et génére un bug a tort lorsqu'on utilise la fonction

t_quasiDistanceWithStandardErosions en mode debug."

History

#1 - 12/01/2008 03:25 PM - Serge Koudoro
- Category set to old plone Bugs

04/20/2024

1/1



http://www.tcpdf.org

